User Tools

Site Tools


pcc-installation

====== Install PCC beta version 1.1.0 ====== PCC version 1.0.0 fails to build the ROHC library. You have to install a beta of the next 1.1.0 version of PCC. ===== Install pcc-libs from CVS ===== <code> $ cvs -d :pserver:anonymous@pcc.ludd.ltu.se:/cvsroot co pcc-libs $ cd pcc-libs $ ./configure --prefix=/usr/local $ make $ su # type your root password # make install # exit $ cd .. </code> ===== Install pcc from CVS ===== <code> $ cvs -d :pserver:anonymous@pcc.ludd.ltu.se:/cvsroot co pcc $ cd pcc $ ./configure --prefix=/usr/local --with-libdir=/usr/local/lib/pcc/i686-pc-linux-gnu/1.1.0.DEVEL/lib $ make $ su # type your root password # make install # exit $ cd .. </code> ===== Testing ===== <code> $ /usr/local/bin/pcc --version pcc 1.1.0.DEVEL 20120823 for i686-pc-linux-gnu </code> ===== Using PCC ===== Set the environment variables //CC=/usr/local/bin/pcc// and //LD=/usr/local/bin/pcc// before running the //./autogen.sh// or //./configure.sh// scripts, and before running the //make// commands. Example: <code> $ cd rohc-X.Y.Z $ CC=/usr/local/bin/pcc LD=/usr/local/bin/pcc ./configure --prefix=/usr --enable-rohc-tests $ CC=/usr/local/bin/pcc LD=/usr/local/bin/pcc make clean all $ CC=/usr/local/bin/pcc LD=/usr/local/bin/pcc make check </code>

pcc-installation.txt · Last modified: 2013/02/01 11:03 by 2001:470:1f13:bfc:219:7eff:feb2:12af